mod errors;

mod immutable_buffer;
pub use self::immutable_buffer::*;

mod mutable_buffer;
pub use self::mutable_buffer::*;

use raw::BufferId;

pub trait Buffer {
    fn get_id(&self) -> BufferId;
}
